# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget ofstd oflog dcmdata i2d dcmimgle dcmimage dcmjpeg ijg8 ijg12 ijg16 dcmjpls dcmtkcharls dcmtls dcmnet dcmsr cmr dcmdsig dcmwlm dcmqrdb dcmpstat dcmrt dcmiod dcmfg dcmseg dcmtract dcmpmap dcmect)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/dcmtk" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib/x86_64-linux-gnu/cmake/dcmtk")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target ofstd
add_library(ofstd SHARED IMPORTED)

set_target_properties(ofstd PROPERTIES
  INTERFACE_LINK_LIBRARIES "nsl;pthread"
)

# Create imported target oflog
add_library(oflog SHARED IMPORTED)

set_target_properties(oflog PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd"
)

# Create imported target dcmdata
add_library(dcmdata SHARED IMPORTED)

set_target_properties(dcmdata PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;/usr/lib/x86_64-linux-gnu/libz.so"
)

# Create imported target i2d
add_library(i2d SHARED IMPORTED)

set_target_properties(i2d PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmdata"
)

# Create imported target dcmimgle
add_library(dcmimgle SHARED IMPORTED)

set_target_properties(dcmimgle PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata"
)

# Create imported target dcmimage
add_library(dcmimage SHARED IMPORTED)

set_target_properties(dcmimage PROPERTIES
  INTERFACE_LINK_LIBRARIES "oflog;dcmdata;dcmimgle;/usr/lib/x86_64-linux-gnu/libtiff.so;/usr/lib/x86_64-linux-gnu/libjpeg.so;/usr/lib/x86_64-linux-gnu/libpng.so"
)

# Create imported target dcmjpeg
add_library(dcmjpeg SHARED IMPORTED)

set_target_properties(dcmjpeg PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata;dcmimgle;dcmimage;ijg8;ijg12;ijg16"
)

# Create imported target ijg8
add_library(ijg8 SHARED IMPORTED)

# Create imported target ijg12
add_library(ijg12 SHARED IMPORTED)

# Create imported target ijg16
add_library(ijg16 SHARED IMPORTED)

# Create imported target dcmjpls
add_library(dcmjpls SHARED IMPORTED)

set_target_properties(dcmjpls PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata;dcmimgle;dcmimage;dcmtkcharls"
)

# Create imported target dcmtkcharls
add_library(dcmtkcharls SHARED IMPORTED)

set_target_properties(dcmtkcharls PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog"
)

# Create imported target dcmtls
add_library(dcmtls SHARED IMPORTED)

set_target_properties(dcmtls PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;dcmdata;dcmnet;/usr/lib/x86_64-linux-gnu/libssl.so;/usr/lib/x86_64-linux-gnu/libcrypto.so;dl"
)

# Create imported target dcmnet
add_library(dcmnet SHARED IMPORTED)

set_target_properties(dcmnet PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata;/usr/lib/x86_64-linux-gnu/libwrap.so"
)

# Create imported target dcmsr
add_library(dcmsr SHARED IMPORTED)

set_target_properties(dcmsr PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata;dcmimgle;dcmimage;/usr/lib/x86_64-linux-gnu/libxml2.so"
)

# Create imported target cmr
add_library(cmr SHARED IMPORTED)

set_target_properties(cmr PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmsr"
)

# Create imported target dcmdsig
add_library(dcmdsig SHARED IMPORTED)

set_target_properties(dcmdsig PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;dcmdata;/usr/lib/x86_64-linux-gnu/libssl.so;/usr/lib/x86_64-linux-gnu/libcrypto.so;dl"
)

# Create imported target dcmwlm
add_library(dcmwlm SHARED IMPORTED)

set_target_properties(dcmwlm PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;dcmdata;dcmnet"
)

# Create imported target dcmqrdb
add_library(dcmqrdb SHARED IMPORTED)

set_target_properties(dcmqrdb PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;dcmdata;dcmnet"
)

# Create imported target dcmpstat
add_library(dcmpstat SHARED IMPORTED)

set_target_properties(dcmpstat PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata;dcmimgle;dcmimage;dcmnet;dcmdsig;dcmtls;dcmsr;dcmqrdb"
)

# Create imported target dcmrt
add_library(dcmrt SHARED IMPORTED)

set_target_properties(dcmrt PROPERTIES
  INTERFACE_LINK_LIBRARIES "ofstd;oflog;dcmdata;dcmimgle"
)

# Create imported target dcmiod
add_library(dcmiod SHARED IMPORTED)

set_target_properties(dcmiod PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmdata;ofstd;oflog"
)

# Create imported target dcmfg
add_library(dcmfg SHARED IMPORTED)

set_target_properties(dcmfg PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmiod;dcmdata;ofstd;oflog"
)

# Create imported target dcmseg
add_library(dcmseg SHARED IMPORTED)

set_target_properties(dcmseg PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmfg;dcmiod;dcmdata;ofstd;oflog"
)

# Create imported target dcmtract
add_library(dcmtract SHARED IMPORTED)

set_target_properties(dcmtract PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmiod;dcmdata;ofstd;oflog"
)

# Create imported target dcmpmap
add_library(dcmpmap SHARED IMPORTED)

set_target_properties(dcmpmap PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmfg;dcmiod;dcmdata;ofstd;oflog"
)

# Create imported target dcmect
add_library(dcmect SHARED IMPORTED)

set_target_properties(dcmect PROPERTIES
  INTERFACE_LINK_LIBRARIES "dcmfg;dcmiod;dcmdata;ofstd;oflog"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/DCMTKTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
